﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraTreeFormatting
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraTree1.ColumnSettings.AllowCellEdit = Infragistics.Win.UltraWinTree.AllowCellEdit.Full;
            ultraTree1.Override.CellClickAction = Infragistics.Win.UltraWinTree.CellClickAction.EditCell;
            ultraTree1.DataSource = GetData();
            ultraTree1.ColumnSettings.ColumnSets[0].Columns[1].Format = "0.00";
        }

        private DataTable GetData(int rows = 30)
        {
            DataTable table = new DataTable("Table1");

            table.Columns.Add("Integer column", typeof(int));
            table.Columns.Add("Double column", typeof(decimal));

            for (int i = 0; i < rows; i++)
            {
                DataRow row = table.NewRow();
                row["Integer column"] = i % 2 == 0 ? true : false;
                row["Double column"] = i + 0.55;
                table.Rows.Add(row);
            }

            return table;
        }
    }
}
